diff options
author | pmikus <pmikus@cisco.com> | 2021-08-20 09:27:12 +0000 |
---|---|---|
committer | Peter Mikus <pmikus@cisco.com> | 2021-08-23 10:41:44 +0000 |
commit | aa72d4256fb7409fa01a0cb33aaa763128f0d30b (patch) | |
tree | 837b11a17ebaca47800f294570c6e9cc66b2d182 /resources/libraries/bash/entry | |
parent | c849edfc256df9c3de1ece6babcd4757bb2a8072 (diff) |
FIX: Docs generation
+ Tests will be fixed with renamed hoststack tests.
+ Tox is at least working
Signed-off-by: pmikus <pmikus@cisco.com>
Change-Id: Ibee30cd54c78b67d2ef907cdd14a71ae197be59e
Diffstat (limited to 'resources/libraries/bash/entry')
-rw-r--r-- | resources/libraries/bash/entry/check/doc_verify.sh | 18 |
1 files changed, 6 insertions, 12 deletions
diff --git a/resources/libraries/bash/entry/check/doc_verify.sh b/resources/libraries/bash/entry/check/doc_verify.sh index 544586a767..baa9d8aa74 100644 --- a/resources/libraries/bash/entry/check/doc_verify.sh +++ b/resources/libraries/bash/entry/check/doc_verify.sh @@ -27,14 +27,9 @@ source "${BASH_FUNCTION_DIR}/common.sh" || { echo "Source failed." >&2 exit 1 } - +source "${BASH_FUNCTION_DIR}/docs.sh" || die "Source failed." common_dirs || die -log_file="$(pwd)/doc_verify.log" || die - -# Pre-cleanup. -rm -f "${log_file}" || die -rm -f "${DOC_GEN_DIR}/csit.docs.tar.gz" || die -rm -rf "${DOC_GEN_DIR}/_build" || die +activate_virtualenv || die # Documentation generation. # Here we do store only stderr to file while stdout (inlcuding Xtrace) is @@ -43,13 +38,12 @@ rm -rf "${DOC_GEN_DIR}/_build" || die # task. exec 3>&1 || die export BASH_XTRACEFD="3" || die +log_file="$(pwd)/doc_verify.log" || die -pushd "${DOC_GEN_DIR}" || die -source ./run_doc.sh ${GERRIT_BRANCH:-local} 2> ${log_file} || true -popd || die +generate_docs 2> ${log_file} || die -if [[ ! -f "${log_file}" ]] || [[ -s "${log_file}" ]]; then - # Output file not exists or is non empty. +if [[ "${DOCS_EXIT_STATUS}" != 0 ]]; then + # Failed to generate report. warn warn "Doc verify checker: FAIL" exit 1 |